Réorganisation

This commit is contained in:
Arnaud NGWALA NGWALA 2022-11-29 16:00:02 +01:00
parent f252508cf6
commit d3f4754419
59 changed files with 0 additions and 1850 deletions

View File

@ -1,2 +0,0 @@
ls: impossible d'accéder à 'nofi': Aucun fichier ou dossier de ce type
-rw-r--r-- 1 ngwalang students22 0 13 sept. 17:02 fi

View File

@ -1,2 +0,0 @@
Hello
World

View File

View File

View File

View File

@ -1,36 +0,0 @@
Partie 1 / Question 1)
La commande "echo" affiche une ligne de texte.
Question 2)
La commande renvoie la ligne de texte "Hello World !" conformément à ce qui lui a été demandé en entrée.
Question 3)
La commande renvoie un 0, ce qui signifie que le code d'avant a été lancé sans erreurs.
Question 4)
La commande renvoie fi
Question 5)
La commande renvoie 0 pour signifier que le code d'avant n'a pas rencontré une erreur à l'éxecution.
Question 6)
La commande renvoie "-rw-r--r-- 1 ngwalang students22 0 13 sept. 17:02 fi
", soit .
Question 7)
La commande renvoie 2 pour signaler l'erreur du dossier inexistant que le programme précédent a rencontré à l'éxécution.
Question 8)
La commande renvoie "ls: impossible d'accéder à 'nofi': Aucun fichier ou dossier de ce type", autrement dit une erreur signalant l'inexistence du dossier
Question 9)
La commande renvoie 2, signalant que le dernier code éxécuté a rencontré une erreur lors qu'il tournait.
Pipeline / Question 1)
La commande renvoie "Hello World2!"
Pipeline / Question 2)
La commande renvoie "Hello World1!"
Liste / Question 1)

View File

@ -1,22 +0,0 @@
Partie 2 / Question 1)
La commande man permet de consulter la documentation
Question 2)
La commande echo $(nom de la variable) répond à la problématique
Question 4)
La commande read -p répond à la problématique
Question 5)
La commande echo -n répond à la problématique
Question 6)
Il faut utiliser "&&"
Question 7)
read -p "Ecris une valeur" var && echo $var
Partie 3 / Question 1)
La commande echo -e permet de répondre à la problématique
Question 2)

View File

View File

@ -1,13 +0,0 @@
I)
La commande à écrire pour afficher la disposition courante du clavier est localectl status, la disposition est Français-France conformément à ce qui est inscrit dans /etc/vconsole.conf
Pour afficher toutes les dispositions disponibles il faut faire localectl list-keymaps
II/Question 1)
Le disque est divisé en 5 partitions
Pour connaître les différents chemins menant à chaque parition est lsblk -p
Question 2)
La commande mount et le fichier /etc/mtab/ affichent les mêmes informations
Les partitions montées sont proc, sys, dev, run, tmp et export
La commande findmnt est plus précise en affichant la même chose sous forme d'arborescence
Pour afficher les vrais systèmes montés il faut taper findmnt --real
III/Question 1)

View File

@ -1,51 +0,0 @@
Question 1)
man -k / apropos
Question 2)
hostname
Question 3)
5.15.62-1-lts
Question 4)
8
Question 5)
2.9Ghz
Question 6)
Intel
Question 7)
Little Endian
Question 8)
00:00.0 Host bridge: Intel Corporation 10th Gen Core Processor Host Bridge/DRAM Registers (rev 05)
00:02.0 VGA compatible controller: Intel Corporation CometLake-S GT2 [UHD Graphics 630] (rev 05)
00:04.0 Signal processing controller: Intel Corporation Xeon E3-1200 v5/E3-1500 v5/6th Gen Core Processor Thermal Subsystem (rev 05)
00:12.0 Signal processing controller: Intel Corporation Comet Lake PCH Thermal Controller
00:14.0 USB controller: Intel Corporation Comet Lake USB 3.1 xHCI Host Controller
00:14.2 RAM memory: Intel Corporation Comet Lake PCH Shared SRAM
00:16.0 Communication controller: Intel Corporation Comet Lake HECI Controller
00:16.3 Serial controller: Intel Corporation Comet Lake Keyboard and Text (KT) Redirection
00:17.0 SATA controller: Intel Corporation Comet Lake SATA AHCI Controller
00:1b.0 PCI bridge: Intel Corporation Comet Lake PCI Express Root Port #21 (rev f0)
00:1f.0 ISA bridge: Intel Corporation Q470 Chipset LPC/eSPI Controller
00:1f.3 Audio device: Intel Corporation Comet Lake PCH cAVS
00:1f.4 SMBus: Intel Corporation Comet Lake PCH SMBus Controller
00:1f.5 Serial bus controller: Intel Corporation Comet Lake PCH SPI Controller
00:1f.6 Ethernet controller: Intel Corporation Ethernet Connection (11) I219-LM
01:00.0 Non-Volatile memory controller: Sandisk Corp WD Blue SN550 NVMe SSD (rev 01)
lspci -v
Question 9)
lsmod
Question 10)
Intel / e1000e
Question 11)
16Go
Question 12)
256Mo

View File

View File

View File

View File

View File

View File

@ -1,31 +0,0 @@
#!/bin/bash
#
# any2dec.sh <radix> <string_representation_in_that_radix>
#
if [[ $# -lt 2 ]]
then
echo "Usage: $0 <radix> <string_representation_in_that_radix>"
exit
fi
if [[ $1 -lt 2 || $1 -gt 36 ]]
then
echo "The radix is a decimal between 2 and 36"
exit
fi
DIGITS=0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZ
LEGAL_DIGITS=$(expr substr $DIGITS 1 $1)
decimal=0
l=$(expr length $2)
for ((i=0;i<l;i++))
do
digit=$(expr substr $2 $((i+1)) 1)
pos=$(expr index $LEGAL_DIGITS $digit)
if [[ pos -eq 0 ]]
then
echo "Authorized digits are : $LEGAL_DIGITS"; exit
fi
digit_val=$((pos-1))
decimal=$((decimal*$1+digit_val))
done
echo "decimal : $decimal"
exit

View File

@ -1,12 +0,0 @@
I/Question 1)
ls -d GLOB/glob/*[[:upper:]]
Question 2)
ls -d GLOB/*[[:upper:]]*
Question 3)
ls GLOB/?[[:digit:]]*
Question 4)
ls -d GLOB/*[[:digit:]][[:digit:]]*
II/Question 2)
shopt affiche les options du shell activées
Question 3a)

View File

@ -1,160 +0,0 @@
/etc : 2018/08/30 : 4096
/etc/ssl : 2016/10/24 : 4096
/etc/machine-id : 2016/07/05 : 33
/etc/security : 2016/10/31 : 4096
/etc/resolvconf.conf : 2016/05/19 : 254
/etc/netctl : 2016/07/11 : 4096
/etc/localtime : 2017/07/06 : 25
/etc/pkcs11 : 2015/12/18 : 4096
/etc/ld.so.cache : 2018/08/30 : 83501
/etc/pam.d.ori : 2016/07/13 : 4096
/etc/arch-release : 2015/09/30 : 0
/etc/protocols : 2016/11/10 : 3145
/etc/fstab.ori : 2016/07/13 : 209
/etc/logrotate.conf : 2016/08/21 : 686
/etc/yaourtrc : 2016/11/09 : 1443
/etc/sudoers.d : 2016/03/25 : 4096
/etc/cron.daily : 2016/06/30 : 4096
/etc/avahi : 2016/03/06 : 4096
/etc/java-8-openjdk : 2016/10/23 : 4096
/etc/rsyncd.conf : 2016/11/20 : 172
/etc/ld.so.conf : 2015/09/30 : 71
/etc/udev : 2016/10/24 : 4096
/etc/shadow : 2018/07/17 : 843
/etc/samba : 2016/11/15 : 4096
/etc/exports.ori : 2015/11/06 : 439
/etc/hosts.ori : 2015/09/30 : 195
/etc/environment : 2016/06/09 : 97
/etc/sudoers : 2016/10/31 : 3213
/etc/ODBCDataSources : 2015/09/02 : 4096
/etc/vde : 2015/09/19 : 4096
/etc/crypttab : 2015/09/30 : 930
/etc/binfmt.d : 2016/06/18 : 4096
/etc/securetty : 2015/09/30 : 86
/etc/group- : 2016/10/31 : 842
/etc/mail.rc : 2016/10/20 : 6298
/etc/rpc : 2016/08/06 : 1634
/etc/depmod.d : 2015/11/18 : 4096
/etc/X11 : 2016/06/18 : 4096
/etc/shells : 2015/09/30 : 52
/etc/sysctl.d : 2016/06/18 : 4096
/etc/updatedb.conf : 2014/12/14 : 558
/etc/xinetd.d : 2016/11/23 : 4096
/etc/nss_ldap.conf.ori : 2016/07/13 : 9472
/etc/fuse.conf : 2016/06/22 : 216
/etc/libnl : 2016/08/22 : 4096
/etc/mkinitcpio.conf : 2016/09/09 : 2490
/etc/pacman.conf : 2016/05/18 : 2898
/etc/sysconfig : 2016/08/25 : 4096
/etc/passwd : 2016/10/31 : 1317
/etc/resolv.conf : 2018/07/18 : 49
/etc/bash.bashrc : 2016/11/14 : 576
/etc/mtab : 2016/07/05 : 19
/etc/fonts : 2016/08/06 : 4096
/etc/gdb : 2017/01/25 : 4096
/etc/modprobe.d : 2015/11/18 : 4096
/etc/odbcinst.ini : 2016/11/06 : 0
/etc/group : 2016/10/31 : 856
/etc/cron.weekly : 2016/06/30 : 4096
/etc/netconfig : 2015/11/06 : 767
/etc/man_db.conf : 2016/08/26 : 5134
/etc/bash.bash_logout : 2016/11/14 : 28
/etc/pcmcia : 2013/05/13 : 4096
/etc/gss : 2016/06/18 : 4096
/etc/profile : 2015/09/30 : 573
/etc/krb5.conf : 2016/03/07 : 369
/etc/conf.d : 2016/11/15 : 4096
/etc/initcpio : 2016/01/20 : 4096
/etc/odbc.ini : 2016/11/06 : 0
/etc/nsswitch.ldap : 2014/07/03 : 1300
/etc/gshadow : 2016/10/31 : 712
/etc/nanorc : 2016/10/29 : 8779
/etc/pacman.d : 2016/11/23 : 4096
/etc/iproute2 : 2016/10/24 : 4096
/etc/logrotate.d : 2016/11/15 : 4096
/etc/systemd : 2016/10/24 : 4096
/etc/ethertypes : 2016/03/14 : 1362
/etc/nsswitch.conf.ori : 2015/09/30 : 234
/etc/hostname.ori : 2016/07/05 : 4
/etc/mke2fs.conf : 2016/09/05 : 945
/etc/brlapi.key : 2016/10/31 : 33
/etc/.pwd.lock : 2016/07/05 : 0
/etc/dhcpcd.conf : 2016/08/15 : 1191
/etc/pulse : 2016/06/25 : 4096
/etc/hostname : 2016/07/13 : 9
/etc/ImageMagick-6 : 2016/11/23 : 4096
/etc/ntp.conf.ori : 2016/06/04 : 706
/etc/resolv.conf.bak : 2018/07/18 : 80
/etc/passwd- : 2016/10/31 : 1277
/etc/openldap : 2016/11/04 : 4096
/etc/vimrc : 2017/09/11 : 912
/etc/makepkg.conf : 2016/05/18 : 5897
/etc/libsmbios : 2016/05/20 : 4096
/etc/drirc : 2016/11/14 : 4479
/etc/shadow- : 2016/10/31 : 815
/etc/pam_ldap.conf.ori : 2014/07/01 : 8678
/etc/smbldap-tools : 2016/07/13 : 4096
/etc/gtk-3.0 : 2016/11/23 : 4096
/etc/ld.so.conf.d : 2016/08/22 : 4096
/etc/gssapi_mech.conf : 2013/10/21 : 918
/etc/locale.gen : 2016/07/05 : 9530
/etc/fstab : 2016/07/13 : 277
/etc/lvm : 2016/11/15 : 4096
/etc/kernel : 2016/06/18 : 4096
/etc/motd : 2015/09/30 : 0
/etc/ceph : 2016/10/09 : 4096
/etc/gshadow- : 2016/10/31 : 701
/etc/wgetrc : 2016/06/19 : 5026
/etc/ssh : 2016/10/24 : 4096
/etc/skel : 2016/11/23 : 4096
/etc/profile.d : 2016/11/09 : 4096
/etc/pam.d : 2016/11/15 : 4096
/etc/idmapd.conf : 2016/07/13 : 171
/etc/ifplugd : 2016/06/13 : 4096
/etc/dbus-1 : 2016/10/24 : 4096
/etc/services : 2016/11/10 : 294578
/etc/login.defs : 2016/10/29 : 5583
/etc/raddb.default : 2016/11/15 : 4096
/etc/nsswitch.conf : 2016/07/13 : 238
/etc/gai.conf : 2016/08/06 : 2584
/etc/modules-load.d : 2016/06/18 : 4096
/etc/exports : 2016/07/13 : 224
/etc/exports.d : 2015/11/06 : 4096
/etc/ca-certificates : 2016/05/07 : 4096
/etc/locale.gen.pacnew : 2016/08/06 : 9614
/etc/raddb : 2016/05/11 : 4096
/etc/mkinitcpio.d : 2016/11/23 : 4096
/etc/polkit-1 : 2015/10/25 : 4096
/etc/libvirt : 2016/11/15 : 4096
/etc/brltty.conf : 2016/07/28 : 23543
/etc/vconsole.conf : 2016/07/05 : 10
/etc/anacrontab : 2016/06/30 : 541
/etc/request-key.d : 2016/10/24 : 4096
/etc/pam_ldap.conf : 2016/07/15 : 311
/etc/cron.d : 2016/09/19 : 4096
/etc/os-release : 2016/07/05 : 21
/etc/sasl2 : 2016/11/15 : 4096
/etc/pam.d.old : 2016/07/13 : 4096
/etc/host.conf : 2015/09/30 : 63
/etc/request-key.conf : 2014/03/01 : 1814
/etc/hosts : 2016/07/13 : 182
/etc/mdadm.conf : 2016/02/02 : 2349
/etc/trusted-key.key : 2015/04/21 : 376
/etc/default : 2016/11/09 : 4096
/etc/.updated : 2016/10/24 : 163
/etc/nss_ldap.conf : 2016/07/15 : 321
/etc/locale.conf : 2016/07/05 : 17
/etc/gssproxy : 2016/11/09 : 4096
/etc/cron.deny : 2016/06/30 : 74
/etc/cron.monthly : 2016/06/30 : 4096
/etc/cron.hourly : 2016/09/19 : 4096
/etc/nscd.conf : 2016/08/06 : 2387
/etc/ntp.conf : 2016/07/15 : 1605
/etc/inputrc : 2016/11/06 : 714
/etc/xdg : 2016/10/31 : 4096
/etc/tmpfiles.d : 2016/06/18 : 4096
/etc/issue : 2015/09/30 : 20
/etc/nfsmount.conf : 2016/08/25 : 3605
/etc/vde2 : 2015/09/19 : 4096
/etc/whois.conf : 2017/03/15 : 382
/etc/iptables : 2016/03/14 : 4096

View File

@ -1,158 +0,0 @@
total 1048
-rw-r--r-- 1 root root 541 30 juin 2016 anacrontab
-rw-r--r-- 1 root root 0 30 sept. 2015 arch-release
drwxr-xr-x 3 root root 4096 6 mars 2016 avahi
-rw-r--r-- 1 root root 28 14 nov. 2016 bash.bash_logout
-rw-r--r-- 1 root root 576 14 nov. 2016 bash.bashrc
drwxr-xr-x 2 root root 4096 18 juin 2016 binfmt.d
-rw-r----- 1 root brlapi 33 31 oct. 2016 brlapi.key
-rw-r--r-- 1 root root 23543 28 juil. 2016 brltty.conf
drwxr-xr-x 4 root root 4096 7 mai 2016 ca-certificates
drwxr-xr-x 2 root root 4096 9 oct. 2016 ceph
drwxr-xr-x 2 root root 4096 15 nov. 2016 conf.d
drwxr-xr-x 2 root root 4096 19 sept. 2016 cron.d
drwxr-xr-x 2 root root 4096 30 juin 2016 cron.daily
-rw-r--r-- 1 root root 74 30 juin 2016 cron.deny
drwxr-xr-x 2 root root 4096 19 sept. 2016 cron.hourly
drwxr-xr-x 2 root root 4096 30 juin 2016 cron.monthly
drwxr-xr-x 2 root root 4096 30 juin 2016 cron.weekly
-rw------- 1 root root 930 30 sept. 2015 crypttab
drwxr-xr-x 3 root root 4096 24 oct. 2016 dbus-1
drwxr-xr-x 2 root root 4096 9 nov. 2016 default
drwxr-xr-x 2 root root 4096 18 nov. 2015 depmod.d
-rw-r--r-- 1 root root 1191 15 août 2016 dhcpcd.conf
-rw-r--r-- 1 root root 4479 14 nov. 2016 drirc
-rw-r--r-- 1 root root 97 9 juin 2016 environment
-rw-r--r-- 1 root root 1362 14 mars 2016 ethertypes
-rw-r--r-- 1 root root 224 13 juil. 2016 exports
drwxr-xr-x 2 root root 4096 6 nov. 2015 exports.d
-rw-r--r-- 1 root root 439 6 nov. 2015 exports.ori
drwxr-xr-x 4 root root 4096 6 août 2016 fonts
-rw-r--r-- 1 root root 277 13 juil. 2016 fstab
-rw-r--r-- 1 root root 209 13 juil. 2016 fstab.ori
-rw-r--r-- 1 root root 216 22 juin 2016 fuse.conf
-rw-r--r-- 1 root root 2584 6 août 2016 gai.conf
drwxr-xr-x 2 root root 4096 25 janv. 2017 gdb
-rw-r--r-- 1 root root 856 31 oct. 2016 group
-rw-r--r-- 1 root root 842 31 oct. 2016 group-
-rw------- 1 root root 712 31 oct. 2016 gshadow
-rw------- 1 root root 701 31 oct. 2016 gshadow-
drwxr-xr-x 3 root root 4096 18 juin 2016 gss
-rw-r--r-- 1 root root 918 21 oct. 2013 gssapi_mech.conf
drwxr-xr-x 2 root root 4096 9 nov. 2016 gssproxy
drwxr-xr-x 2 root root 4096 23 nov. 2016 gtk-3.0
-rw-r--r-- 1 root root 63 30 sept. 2015 host.conf
-rw-r--r-- 1 root root 9 13 juil. 2016 hostname
-rw-r--r-- 1 root root 4 5 juil. 2016 hostname.ori
-rw-r--r-- 1 root root 182 13 juil. 2016 hosts
-rw-r--r-- 1 root root 195 30 sept. 2015 hosts.ori
-rw-r--r-- 1 root root 171 13 juil. 2016 idmapd.conf
drwxr-xr-x 2 root root 4096 13 juin 2016 ifplugd
drwxr-xr-x 2 root root 4096 23 nov. 2016 ImageMagick-6
drwxr-xr-x 4 root root 4096 20 janv. 2016 initcpio
-rw-r--r-- 1 root root 714 6 nov. 2016 inputrc
drwxr-xr-x 2 root root 4096 24 oct. 2016 iproute2
drwxr-xr-x 2 root root 4096 14 mars 2016 iptables
-rw-r--r-- 1 root root 20 30 sept. 2015 issue
drwxr-xr-x 6 root root 4096 23 oct. 2016 java-8-openjdk
drwxr-xr-x 3 root root 4096 18 juin 2016 kernel
-rw-r--r-- 1 root root 369 7 mars 2016 krb5.conf
-rw-r--r-- 1 root root 83501 30 août 10:07 ld.so.cache
-rw-r--r-- 1 root root 71 30 sept. 2015 ld.so.conf
drwxr-xr-x 2 root root 4096 22 août 2016 ld.so.conf.d
drwxr-xr-x 2 root root 4096 22 août 2016 libnl
drwxr-xr-x 2 root root 4096 20 mai 2016 libsmbios
drwxr-xr-x 4 root root 4096 15 nov. 2016 libvirt
-rw-r--r-- 1 root root 17 5 juil. 2016 locale.conf
-rw-r--r-- 1 root root 9530 5 juil. 2016 locale.gen
-rw-r--r-- 1 root root 9614 6 août 2016 locale.gen.pacnew
lrwxrwxrwx 1 root root 25 6 juil. 2017 localtime -> ../usr/share/zoneinfo/UTC
-rw-r--r-- 1 root root 5583 29 oct. 2016 login.defs
-rw-r--r-- 1 root root 686 21 août 2016 logrotate.conf
drwxr-xr-x 2 root root 4096 15 nov. 2016 logrotate.d
drwxr-xr-x 5 root root 4096 15 nov. 2016 lvm
-r--r--r-- 1 root root 33 5 juil. 2016 machine-id
-r--r--r-- 1 root root 6298 20 oct. 2016 mail.rc
-rw-r--r-- 1 root root 5897 18 mai 2016 makepkg.conf
-rw-r--r-- 1 root root 5134 26 août 2016 man_db.conf
-rw-r--r-- 1 root root 2349 2 févr. 2016 mdadm.conf
-rw-r--r-- 1 root root 945 5 sept. 2016 mke2fs.conf
-rw-r--r-- 1 root root 2490 9 sept. 2016 mkinitcpio.conf
drwxr-xr-x 2 root root 4096 23 nov. 2016 mkinitcpio.d
drwxr-xr-x 2 root root 4096 18 nov. 2015 modprobe.d
drwxr-xr-x 2 root root 4096 18 juin 2016 modules-load.d
-rw-r--r-- 1 root root 0 30 sept. 2015 motd
lrwxrwxrwx 1 root root 19 5 juil. 2016 mtab -> ../proc/self/mounts
-rw-r--r-- 1 root root 8779 29 oct. 2016 nanorc
-rw-r--r-- 1 root root 767 6 nov. 2015 netconfig
drwxr-xr-x 5 root root 4096 11 juil. 2016 netctl
-rw-r--r-- 1 root root 3605 25 août 2016 nfsmount.conf
-rw-r--r-- 1 root root 2387 6 août 2016 nscd.conf
-rw-r--r-- 1 root root 321 15 juil. 2016 nss_ldap.conf
-rw-r--r-- 1 root root 9472 13 juil. 2016 nss_ldap.conf.ori
-rw-r--r-- 1 root root 238 13 juil. 2016 nsswitch.conf
-rw-r--r-- 1 root root 234 30 sept. 2015 nsswitch.conf.ori
-rw-r--r-- 1 root root 1300 3 juil. 2014 nsswitch.ldap
-rw-r--r-- 1 root root 1605 15 juil. 2016 ntp.conf
-rw-r--r-- 1 root root 706 4 juin 2016 ntp.conf.ori
drwxr-xr-x 2 root root 4096 2 sept. 2015 ODBCDataSources
-rw-r--r-- 1 root root 0 6 nov. 2016 odbc.ini
-rw-r--r-- 1 root root 0 6 nov. 2016 odbcinst.ini
drwxr-xr-x 6 ldap ldap 4096 4 nov. 2016 openldap
lrwxrwxrwx 1 root root 21 5 juil. 2016 os-release -> ../usr/lib/os-release
-rw-r--r-- 1 root root 2898 18 mai 2016 pacman.conf
drwxr-xr-x 3 root root 4096 23 nov. 2016 pacman.d
drwxr-xr-x 2 root root 4096 15 nov. 2016 pam.d
drwxr-xr-x 2 root root 4096 13 juil. 2016 pam.d.old
drwxr-xr-x 2 root root 4096 13 juil. 2016 pam.d.ori
-rw-r--r-- 1 root root 311 15 juil. 2016 pam_ldap.conf
-rw-r--r-- 1 root root 8678 1 juil. 2014 pam_ldap.conf.ori
-rw-r--r-- 1 root root 1317 31 oct. 2016 passwd
-rw-r--r-- 1 root root 1277 31 oct. 2016 passwd-
drwxr-xr-x 2 root root 4096 13 mai 2013 pcmcia
drwxr-xr-x 2 root root 4096 18 déc. 2015 pkcs11
drwxr-xr-x 3 root root 4096 25 oct. 2015 polkit-1
-rw-r--r-- 1 root root 573 30 sept. 2015 profile
drwxr-xr-x 2 root root 4096 9 nov. 2016 profile.d
-rw-r--r-- 1 root root 3145 10 nov. 2016 protocols
drwxr-xr-x 2 root root 4096 25 juin 2016 pulse
drwxr-xr-x 9 radiusd radiusd 4096 11 mai 2016 raddb
drwxr-xr-x 9 root root 4096 15 nov. 2016 raddb.default
-rw-r--r-- 1 root root 1814 1 mars 2014 request-key.conf
drwxr-xr-x 2 root root 4096 24 oct. 2016 request-key.d
-rw-r--r-- 1 root root 49 18 juil. 13:11 resolv.conf
-rw-r--r-- 1 root root 80 18 juil. 13:11 resolv.conf.bak
-rw-r--r-- 1 root root 254 19 mai 2016 resolvconf.conf
-rw-r--r-- 1 root root 1634 6 août 2016 rpc
-rw-r--r-- 1 root root 172 20 nov. 2016 rsyncd.conf
drwxr-xr-x 3 root root 4096 15 nov. 2016 samba
drwxr-xr-x 2 root root 4096 15 nov. 2016 sasl2
-rw-r--r-- 1 root root 86 30 sept. 2015 securetty
drwxr-xr-x 3 root root 4096 31 oct. 2016 security
-rw-r--r-- 1 root root 294578 10 nov. 2016 services
-rw------- 1 root root 843 17 juil. 12:32 shadow
-rw------- 1 root root 815 31 oct. 2016 shadow-
-rw-r--r-- 1 root root 52 30 sept. 2015 shells
drwxr-xr-x 2 root root 4096 23 nov. 2016 skel
drwxr-xr-x 2 root root 4096 13 juil. 2016 smbldap-tools
drwxr-xr-x 2 root root 4096 24 oct. 2016 ssh
drwxr-xr-x 5 root root 4096 24 oct. 2016 ssl
-r--r----- 1 root root 3213 31 oct. 2016 sudoers
drwxr-x--- 2 root root 4096 25 mars 2016 sudoers.d
drwxr-xr-x 2 root root 4096 25 août 2016 sysconfig
drwxr-xr-x 2 root root 4096 18 juin 2016 sysctl.d
drwxr-xr-x 5 root root 4096 24 oct. 2016 systemd
drwxr-xr-x 2 root root 4096 18 juin 2016 tmpfiles.d
-rw-r--r-- 1 root root 376 21 avril 2015 trusted-key.key
drwxr-xr-x 4 root root 4096 24 oct. 2016 udev
-rw-r--r-- 1 root root 558 14 déc. 2014 updatedb.conf
-rw-r--r-- 1 root root 10 5 juil. 2016 vconsole.conf
drwxr-xr-x 2 root root 4096 19 sept. 2015 vde
drwxr-xr-x 3 root root 4096 19 sept. 2015 vde2
-rw-r--r-- 1 root root 912 11 sept. 2017 vimrc
-rw-r--r-- 1 root root 5026 19 juin 2016 wgetrc
-rw-r--r-- 1 root root 382 15 mars 2017 whois.conf
drwxr-xr-x 3 root root 4096 18 juin 2016 X11
drwxr-xr-x 4 root root 4096 31 oct. 2016 xdg
drwxr-xr-x 2 root root 4096 23 nov. 2016 xinetd.d
-rw-r--r-- 1 root root 1443 9 nov. 2016 yaourtrc

316
TP07/sort
View File

@ -1,316 +0,0 @@
total 1048
total 1048
-rw-r--r-- 1 root root 83501 30 août 10:07 ld.so.cache
-rw-r--r-- 1 root root 83501 30 août 10:07 ld.so.cache
-rw-r--r-- 1 root root 1191 15 août 2016 dhcpcd.conf
-rw-r--r-- 1 root root 1191 15 août 2016 dhcpcd.conf
drwxr-xr-x 4 root root 4096 6 août 2016 fonts
drwxr-xr-x 4 root root 4096 6 août 2016 fonts
-rw-r--r-- 1 root root 2584 6 août 2016 gai.conf
-rw-r--r-- 1 root root 2584 6 août 2016 gai.conf
drwxr-xr-x 2 root root 4096 22 août 2016 ld.so.conf.d
drwxr-xr-x 2 root root 4096 22 août 2016 ld.so.conf.d
drwxr-xr-x 2 root root 4096 22 août 2016 libnl
drwxr-xr-x 2 root root 4096 22 août 2016 libnl
-rw-r--r-- 1 root root 9614 6 août 2016 locale.gen.pacnew
-rw-r--r-- 1 root root 9614 6 août 2016 locale.gen.pacnew
-rw-r--r-- 1 root root 686 21 août 2016 logrotate.conf
-rw-r--r-- 1 root root 686 21 août 2016 logrotate.conf
-rw-r--r-- 1 root root 5134 26 août 2016 man_db.conf
-rw-r--r-- 1 root root 5134 26 août 2016 man_db.conf
-rw-r--r-- 1 root root 3605 25 août 2016 nfsmount.conf
-rw-r--r-- 1 root root 3605 25 août 2016 nfsmount.conf
-rw-r--r-- 1 root root 2387 6 août 2016 nscd.conf
-rw-r--r-- 1 root root 2387 6 août 2016 nscd.conf
-rw-r--r-- 1 root root 1634 6 août 2016 rpc
-rw-r--r-- 1 root root 1634 6 août 2016 rpc
drwxr-xr-x 2 root root 4096 25 août 2016 sysconfig
drwxr-xr-x 2 root root 4096 25 août 2016 sysconfig
-rw-r--r-- 1 root root 376 21 avril 2015 trusted-key.key
-rw-r--r-- 1 root root 376 21 avril 2015 trusted-key.key
-rw-r--r-- 1 root root 558 14 déc. 2014 updatedb.conf
-rw-r--r-- 1 root root 558 14 déc. 2014 updatedb.conf
drwxr-xr-x 2 root root 4096 18 déc. 2015 pkcs11
drwxr-xr-x 2 root root 4096 18 déc. 2015 pkcs11
-rw-r--r-- 1 root root 2349 2 févr. 2016 mdadm.conf
-rw-r--r-- 1 root root 2349 2 févr. 2016 mdadm.conf
drwxr-xr-x 4 root root 4096 20 janv. 2016 initcpio
drwxr-xr-x 4 root root 4096 20 janv. 2016 initcpio
drwxr-xr-x 2 root root 4096 25 janv. 2017 gdb
drwxr-xr-x 2 root root 4096 25 janv. 2017 gdb
-rw------- 1 root root 843 17 juil. 12:32 shadow
-rw------- 1 root root 843 17 juil. 12:32 shadow
-rw-r--r-- 1 root root 49 18 juil. 13:11 resolv.conf
-rw-r--r-- 1 root root 49 18 juil. 13:11 resolv.conf
-rw-r--r-- 1 root root 80 18 juil. 13:11 resolv.conf.bak
-rw-r--r-- 1 root root 80 18 juil. 13:11 resolv.conf.bak
-rw-r--r-- 1 root root 1300 3 juil. 2014 nsswitch.ldap
-rw-r--r-- 1 root root 1300 3 juil. 2014 nsswitch.ldap
-rw-r--r-- 1 root root 8678 1 juil. 2014 pam_ldap.conf.ori
-rw-r--r-- 1 root root 8678 1 juil. 2014 pam_ldap.conf.ori
-rw-r--r-- 1 root root 23543 28 juil. 2016 brltty.conf
-rw-r--r-- 1 root root 23543 28 juil. 2016 brltty.conf
-rw-r--r-- 1 root root 224 13 juil. 2016 exports
-rw-r--r-- 1 root root 224 13 juil. 2016 exports
-rw-r--r-- 1 root root 277 13 juil. 2016 fstab
-rw-r--r-- 1 root root 277 13 juil. 2016 fstab
-rw-r--r-- 1 root root 209 13 juil. 2016 fstab.ori
-rw-r--r-- 1 root root 209 13 juil. 2016 fstab.ori
-rw-r--r-- 1 root root 9 13 juil. 2016 hostname
-rw-r--r-- 1 root root 9 13 juil. 2016 hostname
-rw-r--r-- 1 root root 4 5 juil. 2016 hostname.ori
-rw-r--r-- 1 root root 4 5 juil. 2016 hostname.ori
-rw-r--r-- 1 root root 182 13 juil. 2016 hosts
-rw-r--r-- 1 root root 182 13 juil. 2016 hosts
-rw-r--r-- 1 root root 171 13 juil. 2016 idmapd.conf
-rw-r--r-- 1 root root 171 13 juil. 2016 idmapd.conf
-rw-r--r-- 1 root root 17 5 juil. 2016 locale.conf
-rw-r--r-- 1 root root 17 5 juil. 2016 locale.conf
-rw-r--r-- 1 root root 9530 5 juil. 2016 locale.gen
-rw-r--r-- 1 root root 9530 5 juil. 2016 locale.gen
-r--r--r-- 1 root root 33 5 juil. 2016 machine-id
-r--r--r-- 1 root root 33 5 juil. 2016 machine-id
lrwxrwxrwx 1 root root 19 5 juil. 2016 mtab -> ../proc/self/mounts
lrwxrwxrwx 1 root root 19 5 juil. 2016 mtab -> ../proc/self/mounts
drwxr-xr-x 5 root root 4096 11 juil. 2016 netctl
drwxr-xr-x 5 root root 4096 11 juil. 2016 netctl
-rw-r--r-- 1 root root 321 15 juil. 2016 nss_ldap.conf
-rw-r--r-- 1 root root 321 15 juil. 2016 nss_ldap.conf
-rw-r--r-- 1 root root 9472 13 juil. 2016 nss_ldap.conf.ori
-rw-r--r-- 1 root root 9472 13 juil. 2016 nss_ldap.conf.ori
-rw-r--r-- 1 root root 238 13 juil. 2016 nsswitch.conf
-rw-r--r-- 1 root root 238 13 juil. 2016 nsswitch.conf
-rw-r--r-- 1 root root 1605 15 juil. 2016 ntp.conf
-rw-r--r-- 1 root root 1605 15 juil. 2016 ntp.conf
lrwxrwxrwx 1 root root 21 5 juil. 2016 os-release -> ../usr/lib/os-release
lrwxrwxrwx 1 root root 21 5 juil. 2016 os-release -> ../usr/lib/os-release
drwxr-xr-x 2 root root 4096 13 juil. 2016 pam.d.old
drwxr-xr-x 2 root root 4096 13 juil. 2016 pam.d.old
drwxr-xr-x 2 root root 4096 13 juil. 2016 pam.d.ori
drwxr-xr-x 2 root root 4096 13 juil. 2016 pam.d.ori
-rw-r--r-- 1 root root 311 15 juil. 2016 pam_ldap.conf
-rw-r--r-- 1 root root 311 15 juil. 2016 pam_ldap.conf
drwxr-xr-x 2 root root 4096 13 juil. 2016 smbldap-tools
drwxr-xr-x 2 root root 4096 13 juil. 2016 smbldap-tools
-rw-r--r-- 1 root root 10 5 juil. 2016 vconsole.conf
-rw-r--r-- 1 root root 10 5 juil. 2016 vconsole.conf
lrwxrwxrwx 1 root root 25 6 juil. 2017 localtime -> ../usr/share/zoneinfo/UTC
lrwxrwxrwx 1 root root 25 6 juil. 2017 localtime -> ../usr/share/zoneinfo/UTC
-rw-r--r-- 1 root root 541 30 juin 2016 anacrontab
-rw-r--r-- 1 root root 541 30 juin 2016 anacrontab
drwxr-xr-x 2 root root 4096 18 juin 2016 binfmt.d
drwxr-xr-x 2 root root 4096 18 juin 2016 binfmt.d
drwxr-xr-x 2 root root 4096 30 juin 2016 cron.daily
drwxr-xr-x 2 root root 4096 30 juin 2016 cron.daily
-rw-r--r-- 1 root root 74 30 juin 2016 cron.deny
-rw-r--r-- 1 root root 74 30 juin 2016 cron.deny
drwxr-xr-x 2 root root 4096 30 juin 2016 cron.monthly
drwxr-xr-x 2 root root 4096 30 juin 2016 cron.monthly
drwxr-xr-x 2 root root 4096 30 juin 2016 cron.weekly
drwxr-xr-x 2 root root 4096 30 juin 2016 cron.weekly
-rw-r--r-- 1 root root 97 9 juin 2016 environment
-rw-r--r-- 1 root root 97 9 juin 2016 environment
-rw-r--r-- 1 root root 216 22 juin 2016 fuse.conf
-rw-r--r-- 1 root root 216 22 juin 2016 fuse.conf
drwxr-xr-x 3 root root 4096 18 juin 2016 gss
drwxr-xr-x 3 root root 4096 18 juin 2016 gss
drwxr-xr-x 2 root root 4096 13 juin 2016 ifplugd
drwxr-xr-x 2 root root 4096 13 juin 2016 ifplugd
drwxr-xr-x 3 root root 4096 18 juin 2016 kernel
drwxr-xr-x 3 root root 4096 18 juin 2016 kernel
drwxr-xr-x 2 root root 4096 18 juin 2016 modules-load.d
drwxr-xr-x 2 root root 4096 18 juin 2016 modules-load.d
-rw-r--r-- 1 root root 706 4 juin 2016 ntp.conf.ori
-rw-r--r-- 1 root root 706 4 juin 2016 ntp.conf.ori
drwxr-xr-x 2 root root 4096 25 juin 2016 pulse
drwxr-xr-x 2 root root 4096 25 juin 2016 pulse
drwxr-xr-x 2 root root 4096 18 juin 2016 sysctl.d
drwxr-xr-x 2 root root 4096 18 juin 2016 sysctl.d
drwxr-xr-x 2 root root 4096 18 juin 2016 tmpfiles.d
drwxr-xr-x 2 root root 4096 18 juin 2016 tmpfiles.d
-rw-r--r-- 1 root root 5026 19 juin 2016 wgetrc
-rw-r--r-- 1 root root 5026 19 juin 2016 wgetrc
drwxr-xr-x 3 root root 4096 18 juin 2016 X11
drwxr-xr-x 3 root root 4096 18 juin 2016 X11
drwxr-xr-x 2 root root 4096 13 mai 2013 pcmcia
drwxr-xr-x 2 root root 4096 13 mai 2013 pcmcia
drwxr-xr-x 4 root root 4096 7 mai 2016 ca-certificates
drwxr-xr-x 4 root root 4096 7 mai 2016 ca-certificates
drwxr-xr-x 2 root root 4096 20 mai 2016 libsmbios
drwxr-xr-x 2 root root 4096 20 mai 2016 libsmbios
-rw-r--r-- 1 root root 5897 18 mai 2016 makepkg.conf
-rw-r--r-- 1 root root 5897 18 mai 2016 makepkg.conf
-rw-r--r-- 1 root root 2898 18 mai 2016 pacman.conf
-rw-r--r-- 1 root root 2898 18 mai 2016 pacman.conf
drwxr-xr-x 9 radiusd radiusd 4096 11 mai 2016 raddb
drwxr-xr-x 9 radiusd radiusd 4096 11 mai 2016 raddb
-rw-r--r-- 1 root root 254 19 mai 2016 resolvconf.conf
-rw-r--r-- 1 root root 254 19 mai 2016 resolvconf.conf
-rw-r--r-- 1 root root 1814 1 mars 2014 request-key.conf
-rw-r--r-- 1 root root 1814 1 mars 2014 request-key.conf
drwxr-xr-x 3 root root 4096 6 mars 2016 avahi
drwxr-xr-x 3 root root 4096 6 mars 2016 avahi
-rw-r--r-- 1 root root 1362 14 mars 2016 ethertypes
-rw-r--r-- 1 root root 1362 14 mars 2016 ethertypes
drwxr-xr-x 2 root root 4096 14 mars 2016 iptables
drwxr-xr-x 2 root root 4096 14 mars 2016 iptables
-rw-r--r-- 1 root root 369 7 mars 2016 krb5.conf
-rw-r--r-- 1 root root 369 7 mars 2016 krb5.conf
drwxr-x--- 2 root root 4096 25 mars 2016 sudoers.d
drwxr-x--- 2 root root 4096 25 mars 2016 sudoers.d
-rw-r--r-- 1 root root 382 15 mars 2017 whois.conf
-rw-r--r-- 1 root root 382 15 mars 2017 whois.conf
drwxr-xr-x 2 root root 4096 18 nov. 2015 depmod.d
drwxr-xr-x 2 root root 4096 18 nov. 2015 depmod.d
drwxr-xr-x 2 root root 4096 6 nov. 2015 exports.d
drwxr-xr-x 2 root root 4096 6 nov. 2015 exports.d
-rw-r--r-- 1 root root 439 6 nov. 2015 exports.ori
-rw-r--r-- 1 root root 439 6 nov. 2015 exports.ori
drwxr-xr-x 2 root root 4096 18 nov. 2015 modprobe.d
drwxr-xr-x 2 root root 4096 18 nov. 2015 modprobe.d
-rw-r--r-- 1 root root 767 6 nov. 2015 netconfig
-rw-r--r-- 1 root root 767 6 nov. 2015 netconfig
-rw-r--r-- 1 root root 28 14 nov. 2016 bash.bash_logout
-rw-r--r-- 1 root root 28 14 nov. 2016 bash.bash_logout
-rw-r--r-- 1 root root 576 14 nov. 2016 bash.bashrc
-rw-r--r-- 1 root root 576 14 nov. 2016 bash.bashrc
drwxr-xr-x 2 root root 4096 15 nov. 2016 conf.d
drwxr-xr-x 2 root root 4096 15 nov. 2016 conf.d
drwxr-xr-x 2 root root 4096 9 nov. 2016 default
drwxr-xr-x 2 root root 4096 9 nov. 2016 default
-rw-r--r-- 1 root root 4479 14 nov. 2016 drirc
-rw-r--r-- 1 root root 4479 14 nov. 2016 drirc
drwxr-xr-x 2 root root 4096 9 nov. 2016 gssproxy
drwxr-xr-x 2 root root 4096 9 nov. 2016 gssproxy
drwxr-xr-x 2 root root 4096 23 nov. 2016 gtk-3.0
drwxr-xr-x 2 root root 4096 23 nov. 2016 gtk-3.0
drwxr-xr-x 2 root root 4096 23 nov. 2016 ImageMagick-6
drwxr-xr-x 2 root root 4096 23 nov. 2016 ImageMagick-6
-rw-r--r-- 1 root root 714 6 nov. 2016 inputrc
-rw-r--r-- 1 root root 714 6 nov. 2016 inputrc
drwxr-xr-x 4 root root 4096 15 nov. 2016 libvirt
drwxr-xr-x 4 root root 4096 15 nov. 2016 libvirt
drwxr-xr-x 2 root root 4096 15 nov. 2016 logrotate.d
drwxr-xr-x 2 root root 4096 15 nov. 2016 logrotate.d
drwxr-xr-x 5 root root 4096 15 nov. 2016 lvm
drwxr-xr-x 5 root root 4096 15 nov. 2016 lvm
drwxr-xr-x 2 root root 4096 23 nov. 2016 mkinitcpio.d
drwxr-xr-x 2 root root 4096 23 nov. 2016 mkinitcpio.d
-rw-r--r-- 1 root root 0 6 nov. 2016 odbc.ini
-rw-r--r-- 1 root root 0 6 nov. 2016 odbc.ini
-rw-r--r-- 1 root root 0 6 nov. 2016 odbcinst.ini
-rw-r--r-- 1 root root 0 6 nov. 2016 odbcinst.ini
drwxr-xr-x 6 ldap ldap 4096 4 nov. 2016 openldap
drwxr-xr-x 6 ldap ldap 4096 4 nov. 2016 openldap
drwxr-xr-x 3 root root 4096 23 nov. 2016 pacman.d
drwxr-xr-x 3 root root 4096 23 nov. 2016 pacman.d
drwxr-xr-x 2 root root 4096 15 nov. 2016 pam.d
drwxr-xr-x 2 root root 4096 15 nov. 2016 pam.d
drwxr-xr-x 2 root root 4096 9 nov. 2016 profile.d
drwxr-xr-x 2 root root 4096 9 nov. 2016 profile.d
-rw-r--r-- 1 root root 3145 10 nov. 2016 protocols
-rw-r--r-- 1 root root 3145 10 nov. 2016 protocols
drwxr-xr-x 9 root root 4096 15 nov. 2016 raddb.default
drwxr-xr-x 9 root root 4096 15 nov. 2016 raddb.default
-rw-r--r-- 1 root root 172 20 nov. 2016 rsyncd.conf
-rw-r--r-- 1 root root 172 20 nov. 2016 rsyncd.conf
drwxr-xr-x 3 root root 4096 15 nov. 2016 samba
drwxr-xr-x 3 root root 4096 15 nov. 2016 samba
drwxr-xr-x 2 root root 4096 15 nov. 2016 sasl2
drwxr-xr-x 2 root root 4096 15 nov. 2016 sasl2
-rw-r--r-- 1 root root 294578 10 nov. 2016 services
-rw-r--r-- 1 root root 294578 10 nov. 2016 services
drwxr-xr-x 2 root root 4096 23 nov. 2016 skel
drwxr-xr-x 2 root root 4096 23 nov. 2016 skel
drwxr-xr-x 2 root root 4096 23 nov. 2016 xinetd.d
drwxr-xr-x 2 root root 4096 23 nov. 2016 xinetd.d
-rw-r--r-- 1 root root 1443 9 nov. 2016 yaourtrc
-rw-r--r-- 1 root root 1443 9 nov. 2016 yaourtrc
-rw-r--r-- 1 root root 918 21 oct. 2013 gssapi_mech.conf
-rw-r--r-- 1 root root 918 21 oct. 2013 gssapi_mech.conf
drwxr-xr-x 3 root root 4096 25 oct. 2015 polkit-1
drwxr-xr-x 3 root root 4096 25 oct. 2015 polkit-1
-rw-r----- 1 root brlapi 33 31 oct. 2016 brlapi.key
-rw-r----- 1 root brlapi 33 31 oct. 2016 brlapi.key
drwxr-xr-x 2 root root 4096 9 oct. 2016 ceph
drwxr-xr-x 2 root root 4096 9 oct. 2016 ceph
drwxr-xr-x 3 root root 4096 24 oct. 2016 dbus-1
drwxr-xr-x 3 root root 4096 24 oct. 2016 dbus-1
-rw-r--r-- 1 root root 856 31 oct. 2016 group
-rw-r--r-- 1 root root 856 31 oct. 2016 group
-rw-r--r-- 1 root root 842 31 oct. 2016 group-
-rw-r--r-- 1 root root 842 31 oct. 2016 group-
-rw------- 1 root root 712 31 oct. 2016 gshadow
-rw------- 1 root root 712 31 oct. 2016 gshadow
-rw------- 1 root root 701 31 oct. 2016 gshadow-
-rw------- 1 root root 701 31 oct. 2016 gshadow-
drwxr-xr-x 2 root root 4096 24 oct. 2016 iproute2
drwxr-xr-x 2 root root 4096 24 oct. 2016 iproute2
drwxr-xr-x 6 root root 4096 23 oct. 2016 java-8-openjdk
drwxr-xr-x 6 root root 4096 23 oct. 2016 java-8-openjdk
-rw-r--r-- 1 root root 5583 29 oct. 2016 login.defs
-rw-r--r-- 1 root root 5583 29 oct. 2016 login.defs
-r--r--r-- 1 root root 6298 20 oct. 2016 mail.rc
-r--r--r-- 1 root root 6298 20 oct. 2016 mail.rc
-rw-r--r-- 1 root root 8779 29 oct. 2016 nanorc
-rw-r--r-- 1 root root 8779 29 oct. 2016 nanorc
-rw-r--r-- 1 root root 1317 31 oct. 2016 passwd
-rw-r--r-- 1 root root 1317 31 oct. 2016 passwd
-rw-r--r-- 1 root root 1277 31 oct. 2016 passwd-
-rw-r--r-- 1 root root 1277 31 oct. 2016 passwd-
drwxr-xr-x 2 root root 4096 24 oct. 2016 request-key.d
drwxr-xr-x 2 root root 4096 24 oct. 2016 request-key.d
drwxr-xr-x 3 root root 4096 31 oct. 2016 security
drwxr-xr-x 3 root root 4096 31 oct. 2016 security
-rw------- 1 root root 815 31 oct. 2016 shadow-
-rw------- 1 root root 815 31 oct. 2016 shadow-
drwxr-xr-x 2 root root 4096 24 oct. 2016 ssh
drwxr-xr-x 2 root root 4096 24 oct. 2016 ssh
drwxr-xr-x 5 root root 4096 24 oct. 2016 ssl
drwxr-xr-x 5 root root 4096 24 oct. 2016 ssl
-r--r----- 1 root root 3213 31 oct. 2016 sudoers
-r--r----- 1 root root 3213 31 oct. 2016 sudoers
drwxr-xr-x 5 root root 4096 24 oct. 2016 systemd
drwxr-xr-x 5 root root 4096 24 oct. 2016 systemd
drwxr-xr-x 4 root root 4096 24 oct. 2016 udev
drwxr-xr-x 4 root root 4096 24 oct. 2016 udev
drwxr-xr-x 4 root root 4096 31 oct. 2016 xdg
drwxr-xr-x 4 root root 4096 31 oct. 2016 xdg
-rw-r--r-- 1 root root 0 30 sept. 2015 arch-release
-rw-r--r-- 1 root root 0 30 sept. 2015 arch-release
-rw------- 1 root root 930 30 sept. 2015 crypttab
-rw------- 1 root root 930 30 sept. 2015 crypttab
-rw-r--r-- 1 root root 63 30 sept. 2015 host.conf
-rw-r--r-- 1 root root 63 30 sept. 2015 host.conf
-rw-r--r-- 1 root root 195 30 sept. 2015 hosts.ori
-rw-r--r-- 1 root root 195 30 sept. 2015 hosts.ori
-rw-r--r-- 1 root root 20 30 sept. 2015 issue
-rw-r--r-- 1 root root 20 30 sept. 2015 issue
-rw-r--r-- 1 root root 71 30 sept. 2015 ld.so.conf
-rw-r--r-- 1 root root 71 30 sept. 2015 ld.so.conf
-rw-r--r-- 1 root root 0 30 sept. 2015 motd
-rw-r--r-- 1 root root 0 30 sept. 2015 motd
-rw-r--r-- 1 root root 234 30 sept. 2015 nsswitch.conf.ori
-rw-r--r-- 1 root root 234 30 sept. 2015 nsswitch.conf.ori
drwxr-xr-x 2 root root 4096 2 sept. 2015 ODBCDataSources
drwxr-xr-x 2 root root 4096 2 sept. 2015 ODBCDataSources
-rw-r--r-- 1 root root 573 30 sept. 2015 profile
-rw-r--r-- 1 root root 573 30 sept. 2015 profile
-rw-r--r-- 1 root root 86 30 sept. 2015 securetty
-rw-r--r-- 1 root root 86 30 sept. 2015 securetty
-rw-r--r-- 1 root root 52 30 sept. 2015 shells
-rw-r--r-- 1 root root 52 30 sept. 2015 shells
drwxr-xr-x 2 root root 4096 19 sept. 2015 vde
drwxr-xr-x 2 root root 4096 19 sept. 2015 vde
drwxr-xr-x 3 root root 4096 19 sept. 2015 vde2
drwxr-xr-x 3 root root 4096 19 sept. 2015 vde2
drwxr-xr-x 2 root root 4096 19 sept. 2016 cron.d
drwxr-xr-x 2 root root 4096 19 sept. 2016 cron.d
drwxr-xr-x 2 root root 4096 19 sept. 2016 cron.hourly
drwxr-xr-x 2 root root 4096 19 sept. 2016 cron.hourly
-rw-r--r-- 1 root root 945 5 sept. 2016 mke2fs.conf
-rw-r--r-- 1 root root 945 5 sept. 2016 mke2fs.conf
-rw-r--r-- 1 root root 2490 9 sept. 2016 mkinitcpio.conf
-rw-r--r-- 1 root root 2490 9 sept. 2016 mkinitcpio.conf
-rw-r--r-- 1 root root 912 11 sept. 2017 vimrc
-rw-r--r-- 1 root root 912 11 sept. 2017 vimrc

View File

@ -1,13 +0,0 @@
Partie I)
expr length stock_market affiche 12
expr substr stock_market 1 5 affiche stock
expr substr stock_market 7 12 affiche market
expr index stock_market "_" affiche 6 car l'underscore est en 6ème position
expr index stock_market "_c" affiche 4 car le c est en 4ème position
Question 1)
sort -n -k5 ls_output.txt (Tri alphanumérique croissant) / sort -n -r -k5 ls_output.txt (Tri alphanumérique décroissant)
Question 2)
sort -r -k2 ./find-output.txt
sort -k2 ./find_output.txt

View File

@ -1,16 +0,0 @@
#!/bin/bash
## A simple script shell which reproduces the
## $(seq) behaviour
if [[ $# -lt 1 ]]
then
echo "Usage : my_seq.sh <number_of_iterations>"
exit
fi
for ((i = 1; i <= $1; i++))
do
echo $i
done
exit

View File

@ -1,4 +0,0 @@
Question 3b)
echo "$? x=$x" affiche 0 x = 7
echo "$? x=$x" affiche 0 x =
echo "$? x=$x" affiche 1 x =

View File

@ -1,8 +0,0 @@
#!/bin/bash
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# ex: ts=8 sw=4 sts=4 et filetype=sh
[[ $1 == "add" ]] || exit 0
[[ $2 ]] || exit 1
exec depmod -a "$2"

View File

@ -1,12 +0,0 @@
#!/bin/sh
case $1 in
add)
mkinitcpio -k "$2" -g "$3"/initrd
;;
remove)
rm -f -- "$3"/initrd
;;
esac
# vim: set ft=sh ts=4 sw=4 et:

View File

@ -1,89 +0,0 @@
#!/bin/bash
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# ex: ts=8 sw=4 sts=4 et filetype=sh
COMMAND="$1"
KERNEL_VERSION="$2"
BOOT_DIR_ABS="$3"
KERNEL_IMAGE="$4"
if [[ -f /etc/machine-id ]]; then
read MACHINE_ID < /etc/machine-id
fi
if ! [[ $MACHINE_ID ]]; then
exit 1
fi
BOOT_DIR="/$MACHINE_ID/$KERNEL_VERSION"
LOADER_ENTRY="/boot/loader/entries/$MACHINE_ID-$KERNEL_VERSION.conf"
if [[ $COMMAND == remove ]]; then
exec rm -f "$LOADER_ENTRY"
fi
if ! [[ $COMMAND == add ]]; then
exit 1
fi
if ! [[ $KERNEL_IMAGE ]]; then
exit 1
fi
if [[ -f /etc/os-release ]]; then
. /etc/os-release
elif [[ -f /usr/lib/os-release ]]; then
. /usr/lib/os-release
fi
if ! [[ $PRETTY_NAME ]]; then
PRETTY_NAME="Linux $KERNEL_VERSION"
fi
declare -a BOOT_OPTIONS
if [[ -f /etc/kernel/cmdline ]]; then
readarray -t BOOT_OPTIONS < /etc/kernel/cmdline
fi
if ! [[ ${BOOT_OPTIONS[*]} ]]; then
readarray -t line < /proc/cmdline
for i in ${line[*]}; do
if [[ "${i#initrd=*}" == "$i" ]]; then
BOOT_OPTIONS[${#BOOT_OPTIONS[@]}]="$i"
fi
done
fi
if ! [[ ${BOOT_OPTIONS[*]} ]]; then
echo "Could not determine the kernel command line parameters." >&2
echo "Please specify the kernel command line in /etc/kernel/cmdline!" >&2
exit 1
fi
cp "$KERNEL_IMAGE" "$BOOT_DIR_ABS/linux" &&
chown root:root "$BOOT_DIR_ABS/linux" &&
chmod 0644 "$BOOT_DIR_ABS/linux" || {
echo "Could not copy '$KERNEL_IMAGE to '$BOOT_DIR_ABS/linux'." >&2
exit 1
}
mkdir -p "${LOADER_ENTRY%/*}" || {
echo "Could not create loader entry directory '${LOADER_ENTRY%/*}'." >&2
exit 1
}
{
echo "title $PRETTY_NAME"
echo "version $KERNEL_VERSION"
echo "machine-id $MACHINE_ID"
echo "options ${BOOT_OPTIONS[*]}"
echo "linux $BOOT_DIR/linux"
[[ -f $BOOT_DIR_ABS/initrd ]] && \
echo "initrd $BOOT_DIR/initrd"
:
} > "$LOADER_ENTRY" || {
echo "Could not create loader entry '$LOADER_ENTRY'." >&2
exit 1
}
exit 0

View File

@ -1,48 +0,0 @@
#!/bin/bash
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# ex: ts=8 sw=4 sts=4 et filetype=sh
[[ $1 == "add" ]] || exit 0
[[ $2 ]] || exit 1
exec depmod -a "$2"
#!/bin/bash
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# ex: ts=8 sw=4 sts=4 et filetype=sh
[[ $1 == "add" ]] || exit 0
[[ $2 ]] || exit 1
exec depmod -a "$2"
#!/bin/bash
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# ex: ts=8 sw=4 sts=4 et filetype=sh
[[ $1 == "add" ]] || exit 0
[[ $2 ]] || exit 1
exec depmod -a "$2"
#!/bin/bash
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# ex: ts=8 sw=4 sts=4 et filetype=sh
[[ $1 == "add" ]] || exit 0
[[ $2 ]] || exit 1
exec depmod -a "$2"
#!/bin/bash
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# ex: ts=8 sw=4 sts=4 et filetype=sh
[[ $1 == "add" ]] || exit 0
[[ $2 ]] || exit 1
exec depmod -a "$2"
#!/bin/bash
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# ex: ts=8 sw=4 sts=4 et filetype=sh
[[ $1 == "add" ]] || exit 0
[[ $2 ]] || exit 1
exec depmod -a "$2"

View File

@ -1,16 +0,0 @@
#!/bin/bash
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# ex: ts=8 sw=4 sts=4 et filetype=sh
[[ $1 == "add" ]] || exit 0
[[ $2 ]] || exit 1
exec depmod -a "$2"
#!/bin/bash
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# ex: ts=8 sw=4 sts=4 et filetype=sh
[[ $1 == "add" ]] || exit 0
[[ $2 ]] || exit 1
exec depmod -a "$2"

View File

@ -1,48 +0,0 @@
#!/bin/bash
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# ex: ts=8 sw=4 sts=4 et filetype=sh
[[ $1 == "add" ]] || exit 0
[[ $2 ]] || exit 1
exec depmod -a "$2"
#!/bin/bash
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# ex: ts=8 sw=4 sts=4 et filetype=sh
[[ $1 == "add" ]] || exit 0
[[ $2 ]] || exit 1
exec depmod -a "$2"
#!/bin/bash
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# ex: ts=8 sw=4 sts=4 et filetype=sh
[[ $1 == "add" ]] || exit 0
[[ $2 ]] || exit 1
exec depmod -a "$2"
#!/bin/bash
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# ex: ts=8 sw=4 sts=4 et filetype=sh
[[ $1 == "add" ]] || exit 0
[[ $2 ]] || exit 1
exec depmod -a "$2"
#!/bin/bash
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# ex: ts=8 sw=4 sts=4 et filetype=sh
[[ $1 == "add" ]] || exit 0
[[ $2 ]] || exit 1
exec depmod -a "$2"
#!/bin/bash
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# ex: ts=8 sw=4 sts=4 et filetype=sh
[[ $1 == "add" ]] || exit 0
[[ $2 ]] || exit 1
exec depmod -a "$2"

View File

@ -1,24 +0,0 @@
#!/bin/bash
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# ex: ts=8 sw=4 sts=4 et filetype=sh
[[ $1 == "add" ]] || exit 0
[[ $2 ]] || exit 1
exec depmod -a "$2"
#!/bin/bash
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# ex: ts=8 sw=4 sts=4 et filetype=sh
[[ $1 == "add" ]] || exit 0
[[ $2 ]] || exit 1
exec depmod -a "$2"
#!/bin/bash
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# ex: ts=8 sw=4 sts=4 et filetype=sh
[[ $1 == "add" ]] || exit 0
[[ $2 ]] || exit 1
exec depmod -a "$2"

View File

@ -1,48 +0,0 @@
#!/bin/bash
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# ex: ts=8 sw=4 sts=4 et filetype=sh
[[ $1 == "add" ]] || exit 0
[[ $2 ]] || exit 1
exec depmod -a "$2"
#!/bin/bash
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# ex: ts=8 sw=4 sts=4 et filetype=sh
[[ $1 == "add" ]] || exit 0
[[ $2 ]] || exit 1
exec depmod -a "$2"
#!/bin/bash
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# ex: ts=8 sw=4 sts=4 et filetype=sh
[[ $1 == "add" ]] || exit 0
[[ $2 ]] || exit 1
exec depmod -a "$2"
#!/bin/bash
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# ex: ts=8 sw=4 sts=4 et filetype=sh
[[ $1 == "add" ]] || exit 0
[[ $2 ]] || exit 1
exec depmod -a "$2"
#!/bin/bash
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# ex: ts=8 sw=4 sts=4 et filetype=sh
[[ $1 == "add" ]] || exit 0
[[ $2 ]] || exit 1
exec depmod -a "$2"
#!/bin/bash
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# ex: ts=8 sw=4 sts=4 et filetype=sh
[[ $1 == "add" ]] || exit 0
[[ $2 ]] || exit 1
exec depmod -a "$2"

View File

@ -1,48 +0,0 @@
#!/bin/bash
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# ex: ts=8 sw=4 sts=4 et filetype=sh
[[ $1 == "add" ]] || exit 0
[[ $2 ]] || exit 1
exec depmod -a "$2"
#!/bin/bash
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# ex: ts=8 sw=4 sts=4 et filetype=sh
[[ $1 == "add" ]] || exit 0
[[ $2 ]] || exit 1
exec depmod -a "$2"
#!/bin/bash
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# ex: ts=8 sw=4 sts=4 et filetype=sh
[[ $1 == "add" ]] || exit 0
[[ $2 ]] || exit 1
exec depmod -a "$2"
#!/bin/bash
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# ex: ts=8 sw=4 sts=4 et filetype=sh
[[ $1 == "add" ]] || exit 0
[[ $2 ]] || exit 1
exec depmod -a "$2"
#!/bin/bash
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# ex: ts=8 sw=4 sts=4 et filetype=sh
[[ $1 == "add" ]] || exit 0
[[ $2 ]] || exit 1
exec depmod -a "$2"
#!/bin/bash
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# ex: ts=8 sw=4 sts=4 et filetype=sh
[[ $1 == "add" ]] || exit 0
[[ $2 ]] || exit 1
exec depmod -a "$2"

View File

@ -1,48 +0,0 @@
#!/bin/bash
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# ex: ts=8 sw=4 sts=4 et filetype=sh
[[ $1 == "add" ]] || exit 0
[[ $2 ]] || exit 1
exec depmod -a "$2"
#!/bin/bash
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# ex: ts=8 sw=4 sts=4 et filetype=sh
[[ $1 == "add" ]] || exit 0
[[ $2 ]] || exit 1
exec depmod -a "$2"
#!/bin/bash
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# ex: ts=8 sw=4 sts=4 et filetype=sh
[[ $1 == "add" ]] || exit 0
[[ $2 ]] || exit 1
exec depmod -a "$2"
#!/bin/bash
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# ex: ts=8 sw=4 sts=4 et filetype=sh
[[ $1 == "add" ]] || exit 0
[[ $2 ]] || exit 1
exec depmod -a "$2"
#!/bin/bash
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# ex: ts=8 sw=4 sts=4 et filetype=sh
[[ $1 == "add" ]] || exit 0
[[ $2 ]] || exit 1
exec depmod -a "$2"
#!/bin/bash
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# ex: ts=8 sw=4 sts=4 et filetype=sh
[[ $1 == "add" ]] || exit 0
[[ $2 ]] || exit 1
exec depmod -a "$2"

View File

@ -1,48 +0,0 @@
#!/bin/bash
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# ex: ts=8 sw=4 sts=4 et filetype=sh
[[ $1 == "add" ]] || exit 0
[[ $2 ]] || exit 1
exec depmod -a "$2"
#!/bin/bash
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# ex: ts=8 sw=4 sts=4 et filetype=sh
[[ $1 == "add" ]] || exit 0
[[ $2 ]] || exit 1
exec depmod -a "$2"
#!/bin/bash
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# ex: ts=8 sw=4 sts=4 et filetype=sh
[[ $1 == "add" ]] || exit 0
[[ $2 ]] || exit 1
exec depmod -a "$2"
#!/bin/bash
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# ex: ts=8 sw=4 sts=4 et filetype=sh
[[ $1 == "add" ]] || exit 0
[[ $2 ]] || exit 1
exec depmod -a "$2"
#!/bin/bash
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# ex: ts=8 sw=4 sts=4 et filetype=sh
[[ $1 == "add" ]] || exit 0
[[ $2 ]] || exit 1
exec depmod -a "$2"
#!/bin/bash
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# ex: ts=8 sw=4 sts=4 et filetype=sh
[[ $1 == "add" ]] || exit 0
[[ $2 ]] || exit 1
exec depmod -a "$2"

Binary file not shown.

View File

@ -1,16 +0,0 @@
#!/bin/bash
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# ex: ts=8 sw=4 sts=4 et filetype=sh
[[ $1 == "add" ]] || exit 0
[[ $2 ]] || exit 1
exec depmod -a "$2"
#!/bin/bash
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# ex: ts=8 sw=4 sts=4 et filetype=sh
[[ $1 == "add" ]] || exit 0
[[ $2 ]] || exit 1
exec depmod -a "$2"

View File

@ -1,24 +0,0 @@
#!/bin/bash
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# ex: ts=8 sw=4 sts=4 et filetype=sh
[[ $1 == "add" ]] || exit 0
[[ $2 ]] || exit 1
exec depmod -a "$2"
#!/bin/bash
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# ex: ts=8 sw=4 sts=4 et filetype=sh
[[ $1 == "add" ]] || exit 0
[[ $2 ]] || exit 1
exec depmod -a "$2"
#!/bin/bash
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# ex: ts=8 sw=4 sts=4 et filetype=sh
[[ $1 == "add" ]] || exit 0
[[ $2 ]] || exit 1
exec depmod -a "$2"

View File

@ -1,8 +0,0 @@
#!/bin/bash
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# ex: ts=8 sw=4 sts=4 et filetype=sh
[[ $1 == "add" ]] || exit 0
[[ $2 ]] || exit 1
exec depmod -a "$2"

View File

@ -1,12 +0,0 @@
#!/bin/sh
case $1 in
add)
mkinitcpio -k "$2" -g "$3"/initrd
;;
remove)
rm -f -- "$3"/initrd
;;
esac
# vim: set ft=sh ts=4 sw=4 et:

View File

@ -1,89 +0,0 @@
#!/bin/bash
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# ex: ts=8 sw=4 sts=4 et filetype=sh
COMMAND="$1"
KERNEL_VERSION="$2"
BOOT_DIR_ABS="$3"
KERNEL_IMAGE="$4"
if [[ -f /etc/machine-id ]]; then
read MACHINE_ID < /etc/machine-id
fi
if ! [[ $MACHINE_ID ]]; then
exit 1
fi
BOOT_DIR="/$MACHINE_ID/$KERNEL_VERSION"
LOADER_ENTRY="/boot/loader/entries/$MACHINE_ID-$KERNEL_VERSION.conf"
if [[ $COMMAND == remove ]]; then
exec rm -f "$LOADER_ENTRY"
fi
if ! [[ $COMMAND == add ]]; then
exit 1
fi
if ! [[ $KERNEL_IMAGE ]]; then
exit 1
fi
if [[ -f /etc/os-release ]]; then
. /etc/os-release
elif [[ -f /usr/lib/os-release ]]; then
. /usr/lib/os-release
fi
if ! [[ $PRETTY_NAME ]]; then
PRETTY_NAME="Linux $KERNEL_VERSION"
fi
declare -a BOOT_OPTIONS
if [[ -f /etc/kernel/cmdline ]]; then
readarray -t BOOT_OPTIONS < /etc/kernel/cmdline
fi
if ! [[ ${BOOT_OPTIONS[*]} ]]; then
readarray -t line < /proc/cmdline
for i in ${line[*]}; do
if [[ "${i#initrd=*}" == "$i" ]]; then
BOOT_OPTIONS[${#BOOT_OPTIONS[@]}]="$i"
fi
done
fi
if ! [[ ${BOOT_OPTIONS[*]} ]]; then
echo "Could not determine the kernel command line parameters." >&2
echo "Please specify the kernel command line in /etc/kernel/cmdline!" >&2
exit 1
fi
cp "$KERNEL_IMAGE" "$BOOT_DIR_ABS/linux" &&
chown root:root "$BOOT_DIR_ABS/linux" &&
chmod 0644 "$BOOT_DIR_ABS/linux" || {
echo "Could not copy '$KERNEL_IMAGE to '$BOOT_DIR_ABS/linux'." >&2
exit 1
}
mkdir -p "${LOADER_ENTRY%/*}" || {
echo "Could not create loader entry directory '${LOADER_ENTRY%/*}'." >&2
exit 1
}
{
echo "title $PRETTY_NAME"
echo "version $KERNEL_VERSION"
echo "machine-id $MACHINE_ID"
echo "options ${BOOT_OPTIONS[*]}"
echo "linux $BOOT_DIR/linux"
[[ -f $BOOT_DIR_ABS/initrd ]] && \
echo "initrd $BOOT_DIR/initrd"
:
} > "$LOADER_ENTRY" || {
echo "Could not create loader entry '$LOADER_ENTRY'." >&2
exit 1
}
exit 0

View File

@ -1,48 +0,0 @@
#!/bin/bash
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# ex: ts=8 sw=4 sts=4 et filetype=sh
[[ $1 == "add" ]] || exit 0
[[ $2 ]] || exit 1
exec depmod -a "$2"
#!/bin/bash
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# ex: ts=8 sw=4 sts=4 et filetype=sh
[[ $1 == "add" ]] || exit 0
[[ $2 ]] || exit 1
exec depmod -a "$2"
#!/bin/bash
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# ex: ts=8 sw=4 sts=4 et filetype=sh
[[ $1 == "add" ]] || exit 0
[[ $2 ]] || exit 1
exec depmod -a "$2"
#!/bin/bash
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# ex: ts=8 sw=4 sts=4 et filetype=sh
[[ $1 == "add" ]] || exit 0
[[ $2 ]] || exit 1
exec depmod -a "$2"
#!/bin/bash
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# ex: ts=8 sw=4 sts=4 et filetype=sh
[[ $1 == "add" ]] || exit 0
[[ $2 ]] || exit 1
exec depmod -a "$2"
#!/bin/bash
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# ex: ts=8 sw=4 sts=4 et filetype=sh
[[ $1 == "add" ]] || exit 0
[[ $2 ]] || exit 1
exec depmod -a "$2"

View File

@ -1,16 +0,0 @@
#!/bin/bash
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# ex: ts=8 sw=4 sts=4 et filetype=sh
[[ $1 == "add" ]] || exit 0
[[ $2 ]] || exit 1
exec depmod -a "$2"
#!/bin/bash
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# ex: ts=8 sw=4 sts=4 et filetype=sh
[[ $1 == "add" ]] || exit 0
[[ $2 ]] || exit 1
exec depmod -a "$2"

View File

@ -1,48 +0,0 @@
#!/bin/bash
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# ex: ts=8 sw=4 sts=4 et filetype=sh
[[ $1 == "add" ]] || exit 0
[[ $2 ]] || exit 1
exec depmod -a "$2"
#!/bin/bash
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# ex: ts=8 sw=4 sts=4 et filetype=sh
[[ $1 == "add" ]] || exit 0
[[ $2 ]] || exit 1
exec depmod -a "$2"
#!/bin/bash
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# ex: ts=8 sw=4 sts=4 et filetype=sh
[[ $1 == "add" ]] || exit 0
[[ $2 ]] || exit 1
exec depmod -a "$2"
#!/bin/bash
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# ex: ts=8 sw=4 sts=4 et filetype=sh
[[ $1 == "add" ]] || exit 0
[[ $2 ]] || exit 1
exec depmod -a "$2"
#!/bin/bash
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# ex: ts=8 sw=4 sts=4 et filetype=sh
[[ $1 == "add" ]] || exit 0
[[ $2 ]] || exit 1
exec depmod -a "$2"
#!/bin/bash
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# ex: ts=8 sw=4 sts=4 et filetype=sh
[[ $1 == "add" ]] || exit 0
[[ $2 ]] || exit 1
exec depmod -a "$2"

Some files were not shown because too many files have changed in this diff Show More